/*
 * IfNode.cpp
 *
 *  Created on: Nov 18, 2012
 *      Author: attero
 */

#include "IfNode.h"


IfNode::IfNode(ASTNode * parent) {
	this->parent = parent;
}

IfNode::~IfNode() {

}

void IfNode::add_condition(ASTExpression * expression)
{
	children.push_back(expression);
}

void IfNode::add_body(ASTStatement * statement)
{
	children.push_back(statement);
}

void IfNode::add_else_block(ASTStatement * statement)
{
	children.push_back(statement);
}
